Skip to main content

Queue lead enrichments

Queue one or more Lead Finder search results for enrichment. This endpoint starts an asynchronous lead enrichment batch and returns a batch uuid that you can later check with list lead enrichments or get lead enrichment.

Request

Credit usage

This call can use account credits. Credits are applied only when enrichment finds data. Enriching a lead and finding an email costs 1.5 credits.

Endpoint

POST https://api.woodpecker.co/rest/v2/lead_finder/leads/enrichments

Headers

x-api-key: {YOUR_API_KEY}
Content-Type: application/json

For details on how to authenticate your requests, please see the authentication guide.

Body

You can enrich up to 50 leads in one request.

Pass the lead context returned by lead search whenever possible, not only uid, because enrichment usually needs signals such as linkedin_url or full_name with company_website. We recommend passing through the whole lead payload with all values that are available. If lead search does not return a value, you can omit that optional field or pass the returned null or empty array value.

{
"leads": [
{
"uid": "0SVOUN5zYlkzJ5fMrBxUdiQ_0000",
"full_name": "Erlich Bachman",
"first_name": "Erlich",
"last_name": "Bachman",
"gender": "Male",
"linkedin_url": "linkedin.com/in/erlich-bachman-404xyz",
"company_name": "Bachmanity",
"company_website": "bachmanity.com",
"industry": "Software as a Service",
"job_title": "Ceo",
"job_title_role": "Operations",
"job_title_levels": [
"Cxo"
],
"location_name": "Palo Alto, California, United States",
"city": "Palo Alto",
"state": "California",
"country": "United States"
}
],
"target_campaign_ids": [123,654]
}

Body schema

FieldTypeRequiredDescription
leadsarray[object]YesNon-empty list of leads to enrich
  └─ uidstringYesLead identifier returned by the lead search response
  └─ full_namestring/nullNoFull lead name
  └─ first_namestring/nullNoLead first name
  └─ last_namestring/nullNoLead last name
  └─ genderstring/nullNoLead gender when available
  └─ linkedin_urlstring/nullNoLead LinkedIn profile URL
  └─ company_namestring/nullNoCompany name
  └─ company_websitestring/nullNoCompany website
  └─ industrystring/nullNoIndustry name
  └─ job_titlestring/nullNoCurrent job title
  └─ job_title_rolestring/nullNoJob title role
  └─ job_title_levelsarray[string]NoJob title levels
  └─ location_namestring/nullNoFull human-readable location
  └─ citystring/nullNoCity
  └─ statestring/nullNoState or region
  └─ countrystring/nullNoCountry
target_campaign_idsarray[integer]NoIDs of campaigns where enriched leads should be added as prospects. Use an empty array to add them only to the global prospect list

Request samples

Queue leads for enrichment

curl --request POST \
--url "https://api.woodpecker.co/rest/v2/lead_finder/leads/enrichments" \
--header "x-api-key: {YOUR_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"leads": [
{
"uid": "0SVOUN5zYlkzJ5fMrBxUdiQ_0000",
"full_name": "Erlich Bachman",
"first_name": "Erlich",
"last_name": "Bachman",
"gender": "Male",
"linkedin_url": "linkedin.com/in/erlich-bachman-404xyz",
"company_name": "Bachmanity",
"company_website": "bachmanity.com",
"industry": "Software as a Service",
"job_title": "Ceo",
"job_title_role": "Operations",
"job_title_levels": ["Cxo"],
"location_name": "Palo Alto, California, United States",
"city": "Palo Alto",
"state": "California",
"country": "United States"
}
],
"target_campaign_ids": []
}'

Response

Response examples

Batch accepted for processing. Use get lead enrichment to check the status. Use list lead enrichments to browse recent batches.

{
"uuid": "4480b1e0-70d2-4b4a-be49-6bf9637bf0bf",
"leads_count": 5,
"status": "ENQUEUED"
}

Body schema

FieldTypeDescription
uuidstring/nullEnrichment batch identifier used for polling
leads_countintegerNumber of leads queued in this response
statusstringQueue status.
  • ENQUEUED - at least one lead was accepted and all eligible leads were queued
  • PARTIALLY_ENQUEUED - some leads were queued. Usually because available credits can cover fewer leads than requested
  • NOT_ENQUEUED - none of the submitted leads were queued because they are already pending
  • CREDITS_EXHAUSTED - Not enough credits. An account admin can manage credits in the billing section of the app